Bug 19193 - When displaying the fines of the guarantee on the guarantor account, price is not in correct format.
Summary: When displaying the fines of the guarantee on the guarantor account, price is...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 16.11
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-28 16:25 UTC by Kelly McElligott
Modified: 2017-11-23 23:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
what this looks like (42.54 KB, image/png)
2017-08-28 16:25 UTC, Kelly McElligott
Details
Bug 19193 - When displaying the fines of the guarantee on the guarantor account, price is not in correct format (1.54 KB, patch)
2017-08-28 16:30 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19193 - When displaying the fines of the guarantee on the guarantor account, price is not in correct format (1.61 KB, patch)
2017-09-15 19:23 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 19193 - When displaying the fines of the guarantee on the guarantor account, price is not in correct format (1.71 KB, patch)
2017-10-06 05:55 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2017-08-28 16:25:11 UTC
Created attachment 66559 [details]
what this looks like

When displaying the fines of the guarantee on the guarantor account, price is not in correct format. Currently if the price is 7.50 the price shows up as 7.5 . 
Fees & Charges: Patron's guarantees collectively owe...
Comment 1 Nick Clemens 2017-08-28 16:30:14 UTC
Created attachment 66560 [details] [review]
Bug 19193 - When displaying the fines of the guarantee on the guarantor account, price is not in correct format

1 - Have a patron with guarantees
2 - Charge some fines to the guarantees
3 - View the patron
4 - Fines are displayed unformatted
5 - Apply patch
6 - Refresh
7 - Fines should now be formatted correctly
Comment 2 Caroline Cyr La Rose 2017-09-08 19:53:50 UTC
I'm not getting the message at all (without patch).

I added guarantees to a patron and charged fines to one of the guarantees. I see the message in the guarantee's account, but not in the guarantor's.

Unable to reproduce.
Comment 3 Nick Clemens 2017-09-09 12:30:49 UTC
My apologies, I missed some steps, you need to have NoIssuesChargeGuarantees set to make the message show:

Add steps:
2.5 - Set system preference 'NoIssuesChargeGuarantees' to '0' (or just make sure patrons have more than the number you set)

4.5 - Check display with both values of system preference 'AllowFineOverride'
Comment 4 Caroline Cyr La Rose 2017-09-15 19:23:07 UTC
Created attachment 67154 [details] [review]
Bug 19193 - When displaying the fines of the guarantee on the guarantor account, price is not in correct format

1 - Have a patron with guarantees
2 - Charge some fines to the guarantees
3 - View the patron
4 - Fines are displayed unformatted
5 - Apply patch
6 - Refresh
7 - Fines should now be formatted correctly

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 5 Caroline Cyr La Rose 2017-09-15 19:23:28 UTC
Yes! It worked!
Comment 6 Marcel de Rooy 2017-10-06 05:55:49 UTC
Created attachment 67666 [details] [review]
Bug 19193 - When displaying the fines of the guarantee on the guarantor account, price is not in correct format

1 - Have a patron with guarantees
2 - Charge some fines to the guarantees
3 - View the patron
4 - Fines are displayed unformatted
5 - Apply patch
6 - Refresh
7 - Fines should now be formatted correctly

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Jonathan Druart 2017-10-06 15:18:00 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-10-27 13:33:16 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 9 Katrin Fischer 2017-10-29 18:54:13 UTC
This patch has been pushed to 16.11.x and will be in 16.11.14.
Comment 10 Mason James 2017-11-23 23:24:36 UTC
Pushed to 16.05.x, for 16.05.19 release